# lumakey.cpp File Reference

Implementation of the "Luma Key" layer. More...

`#include "lumakey.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/segment.h>`

## Functions

| SYNFIG_LAYER_INIT (LumaKey)
| SYNFIG_LAYER_SET_NAME (LumaKey,"lumakey")
| SYNFIG_LAYER_SET_LOCAL_NAME (LumaKey, N_("Luma Key"))
| SYNFIG_LAYER_SET_CATEGORY (LumaKey, N_("Filters"))
| SYNFIG_LAYER_SET_VERSION (LumaKey,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (LumaKey,"$Id$")

## Detailed Description

Implementation of the "Luma Key" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | LumaKey |  | ) |

SYNFIG_LAYER_SET_NAME | ( | LumaKey | ,
|  | "lumakey" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | LumaKey | ,
|  | N_("Luma Key") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | LumaKey | ,
|  | N_("Filters") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | LumaKey | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | LumaKey | ,
|  | "$Id$" |  |
| ) |  |  |